//optionmenu.cpp



#include <gnome.h>
#include "theme.h"
#include "widget.h"
#include "menu.h"
#include "optionmenu.h"


Optionmenu::Optionmenu(): Widget()
{
	_widget = gtk_option_menu_new();
	_menu = new Menu(FALSE);
	gtk_option_menu_set_menu(GTK_OPTION_MENU(_widget), _menu->widget());
}

Optionmenu::~Optionmenu()
{
	delete _menu;
}

//returns
gpointer Optionmenu::getActive()
{
	GtkWidget* menuitem = gtk_menu_get_active(GTK_MENU(_menu->widget()));
	return gtk_object_get_user_data(GTK_OBJECT(menuitem));
}

//sets
void Optionmenu::deleteMenu()
{
	delete _menu;
	_menu = new Menu(FALSE);
	gtk_option_menu_set_menu(GTK_OPTION_MENU(_widget), _menu->widget());
}
//useful
void Optionmenu::add(gchar label[], void* callback, gpointer data, gpointer userdata = NULL)
{
	_menu->add(label, callback, data, userdata);
}

void Optionmenu::add(gchar label[], void* callback, gpointer data, gint userdata)
{
	_menu->add(label, callback, data, userdata);
}

void Optionmenu::setHistory(guint history)
{
	gtk_option_menu_set_history(GTK_OPTION_MENU(_widget), history);
}
