//toggle.cpp



#include <gnome.h>
#include "theme.h"
#include "widget.h"
#include "container.h"
#include "label.h"
#include "toggle.h"


Toggle::Toggle(): Container()
{
	_contained = NULL;
	_widget = gtk_toggle_button_new();
}

Toggle::Toggle(GtkWidget* widget): Container()
{
	_contained = NULL;
	_widget = widget;
}

Toggle::Toggle(char text[]): Container()
{
	_widget = gtk_toggle_button_new();
	_contained = new Label(text);
	add(_contained);
}

Toggle::~Toggle()
{
	if(_contained) delete _contained;
}

//returns
gboolean Toggle::getActive()
{
	return GTK_TOGGLE_BUTTON(_widget)->active;
}

//useful
void Toggle::setActive(gboolean b)
{
	gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(_widget), b);
}
