//window.cpp



#include <gnome.h>
#include "theme.h"
#include "widget.h"
#include "container.h"
#include "box.h"
#include "window.h"
#include <libgnomeui/gnome-window-icon.h>


Window::Window(gchar title[] = ""): Container(), _vbox()
{
	_widget = gtk_window_new(GTK_WINDOW_TOPLEVEL);
	setTitle(title);

	Container::add(&_vbox);
}

void Window::add(Widget* w)
{
	_vbox.add(w);
}

void Window::add(Widget* w, gboolean expand, gboolean fill, guint padding)
{
	_vbox.add(w, expand, fill, padding);
}

void Window::addEnd(Widget* w)
{
	_vbox.addEnd(w);
}

void Window::addEnd(Widget* w, gboolean expand, gboolean fill, guint padding)
{
	_vbox.addEnd(w, expand, fill, padding);
}

void Window::show()
{
	_vbox.show();
	Widget::show();
}

void Window::showAll()
{
	_vbox.showAll();
	show();
}

//fancy
void Window::setTitle(gchar title[])
{
	gtk_window_set_title(GTK_WINDOW(_widget), title);
}

void Window::setClass(gchar wmname[], gchar wmclass[])
{
	gtk_window_set_wmclass(GTK_WINDOW(_widget), wmname, wmclass);
}

void Window::setIconFromFile(char filename[])
{
	gnome_window_icon_set_from_file(GTK_WINDOW(_widget), filename);
}

//useful
void Window::setPolicy(gint allow_shrink, gint allow_grow, gint auto_shrink)
{
	gtk_window_set_policy(GTK_WINDOW(_widget), allow_shrink, allow_grow, auto_shrink);
}

void Window::setTransientFor(Window* w)
{
	gtk_window_set_transient_for(GTK_WINDOW(_widget), GTK_WINDOW(w->widget()));
}
